%define		_state		stable
%define		orgname		kde-base-artwork
%define		qtver		4.8.3

Summary:	K Desktop Environment - base artwork
Summary(pl.UTF-8):	K Desktop Environment - podstawowe grafiki itp.
Name:		kde4-kdebase-artwork
Version:	4.14.3
Release:	1
License:	LGPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	7c3e22de2cd389f9c40fe2b6694489ac
URL:		http://www.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-splash-Default
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Default splashscreen that came with this version of KDE.

%description -l pl.UTF-8
Domyślny ekran powitalny dostarczony w tej wersji KDE.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/Themes/Default
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdebase-artwork.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 70b5522
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 189e1ad
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7b4d572
- http url

* Thu Aug 14 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9525874
- up to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4ebed46
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3328435
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c2ffed
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6fad29e
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c27389c
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7703cbb
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> c70e382
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ee88991
- up to 4.12.0

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ce98b90
- up to 4.11.3

* Fri Sep 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 967186b
- up to 4.11.1

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bc566f
- up to 4.11.0

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9843ea9
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8530fda
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f43091b
- up to 4.10.3

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4583ceb
- up to 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b3763ca
- up to 4.10.1

